<template>
    <li 
        @dragstart="$emit('start-drag', $event, order)"
        @dragend="$emit('stop-drag', $event)"
        class="card pt-sm card--primary order"
        draggable="true"
    >
        <p class="order__description">
            <span class="order__name">Заказ #{{ order.id }}</span>
            <span class="order__total">{{ order.total }} руб.</span>
        </p>
        <AppDropdown @event="dropdownHandler" :events="events" />      
    </li>
</template>

<script>
import AppDropdown from '../AppDropdown';

export default {
    data() {
        return {
            events: [
                {id: 0, title: 'Подробнее', name: 'show-details', style: 'info'},
                {id: 1, title: 'К отгрузке', name: 'to-delivery', style: 'success'},
                {id: 2, title: 'Отменить', name: 'remove', style: 'danger'}
            ]
        }
    },
    props: {
        order: Object
    },
    components: {
        AppDropdown
    },
    methods: {
        dropdownHandler(event) {
            this.$emit(event, this.order.id);
        }
    }

}
</script>

<style>

</style>